<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
echo ' <br>
<h3>Список файлов:</h3><hr><center>
<br><br><b>Список файлов:</b>
<table width=100% border=1>
<tr>
	<td width=150 align=center><strong>Имя файла</strong></td>
	<td align=center><strong>Ссылка</strong></td>
	<td align=center><strong>Удалить</strong></td>
	<td width=150 align=center><strong>Размер</strong></td>
</tr>';
  $site="http://".$_SERVER['SERVER_NAME'];
  $dir = opendir ("../data/file");
  while ( $file = readdir ($dir))
  {
    if (( $file != ".") && ($file != ".."))
    {
     $size = filesize("../data/file/$file"); 
      echo "<tr onmouseover=\"fileOver(this,true,'',0)\" onmouseout=\"fileOut(this,true,'',0)\">
	  <td bgcolor=#FFFFFF align=center>$file</td>
      <td bgcolor=#FFFFFF align=center><a href='#' onclick=\"prompt('Ссылка на картинку','$site/data/file/$file'); return false;\"><img border=0 src=images/link.png title='Получить код'></a></td>
	  <td bgcolor=#FFFFFF align=center><a href='uploadfile2.php?remove=$file'><img border=0 src=images/remove.png title='Удалить файл'></a></td>	 
	  <td bgcolor=#FFFFFF align=center>$size байтов </td>
	  <tr>
      ";
    }
  }
    echo '</table>';
  closedir ($dir);
if ($_GET['remove'])
{
unlink("../data/file/".$_GET['remove']); 
echo "Файл \"<font color='#FF0000'>".$_GET['remove']."</font>\" успешно удален<br><br><br><br>";
}
    echo '<BR><BR>Загружать только архивные файлы, в формате (<b>zip,rar</b>)<br><br>';
	echo '<form action="uploadfile2.php" method="post" enctype="multipart/form-data">';
	echo 'Выберите файл: <input type="file" name="FILE" size="17" />&nbsp;&nbsp;';
	echo '<br><input type="submit" value="загрузить">';
	echo '</form>';
require_once("footer.php");	
?>

